Bug 1719355 - systemd unit should use OnUnitActiveSec=, not OnActiveSec=
Summary: systemd unit should use OnUnitActiveSec=, not OnActiveSec=
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fetch-crl
Version: 30
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-11 15:09 UTC by Mattias Ellert
Modified: 2019-07-16 01:39 UTC (History)
1 user (show)

Fixed In Version: fetch-crl-3.0.20-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-16 01:39:50 UTC


Attachments (Terms of Use)

Description Mattias Ellert 2019-06-11 15:09:33 UTC
Description of problem:

The current timer only is triggered once 6 hours after the unit is activate, not every 6 hours as expected.

Version-Release number of selected component (if applicable):

fetch-crl-3.0.19-6.fc30.noarch

How reproducible:

Always

Steps to Reproduce:
1. Activate the fetch-crt.timer unit
2. After a while things stop working due ot expired CRLs.

Actual results:

Timer run once.

Expected results:

Timer run every 6 hours.

Additional info:

From "man systemd.timer":

Multiple directives may be combined of the same and of different
types. For example, by combining OnBootSec= and OnUnitActiveSec=,
it is possible to define a timer that elapses in regular intervals
and activates a specific service each time.

Comment 1 Fedora Update System 2019-07-05 08:56:46 UTC
FEDORA-2019-f4443773cf has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f4443773cf

Comment 2 Fedora Update System 2019-07-06 04:18:47 UTC
fetch-crl-3.0.20-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f4443773cf

Comment 3 Fedora Update System 2019-07-16 01:39:50 UTC
fetch-crl-3.0.20-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.